## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
CREATE TABLE T (
  a INTEGER,
  b TEXT,
  c INTEGER
);
INSERT INTO T VALUES (json_group_array(1),'a',NULL), (2,'b',1), (3,'c',2);
WITH RECURSIVE d(a,b,c,e) AS (
  SELECT *,1 FROM T WHERE c IS NULL
  UNION ALL
  SELECT T.a,T.b,T.c,d.e+1
  FROM T JOIN d ON T.c=d.a
)
SELECT * FROM d;

SELECT COUNT(*) FROM T;
UPDATE T SET c = 'x' WHERE c IS NOT NULL RETURNING *;
```

## Actual output

```sql
Parse error near line 6: misuse of aggregate: json_group_array()
  INSERT INTO T VALUES (json_group_array(1),'a',NULL), (2,'b',1), (3,'c',2);
                        ^--- error here
```

## Expectation

```sql

```

## Flag

```
-bail
```

